FEDORA-2016-21f0de504c

security update in Fedora 23 for libXi

Status: stable 2 years ago

libXi 1.7.8


Fix crash when calling XListInputDevices on devices without classes


Security fix for CVE-2016-7945, CVE-2016-7946

How to install

sudo dnf upgrade --advisory=FEDORA-2016-21f0de504c

Comments 7

This update has been submitted for testing by whot.

This update has obsoleted libXi-1.7.7-2.fc23, and has inherited its bugs and notes.

This update has been pushed to testing.

no regressions noted

karma: +1

This update has reached 7 days in testing and can be pushed to stable now if the maintainer wishes

This update has been submitted for stable by whot.

This update has been pushed to stable.

Content Type
RPM
Status
stable
Test Gating
Submitted by
Update Type
security
Update Severity
unspecified
Karma
+1
stable threshold: 3
unstable threshold: -3
Autopush
Enabled
Dates
submitted 2 years ago
in testing 2 years ago
in stable 2 years ago

Related Bugs 3

00 #1381868 CVE-2016-7945 libXi: Insufficient validation of server responses result in Integer overflows
00 #1381869 CVE-2016-7946 libXi: Insufficient validation of server responses result in various data mishandlings
00 #1381870 CVE-2016-7945 CVE-2016-7946 libXi: various flaws [fedora-all]

Automated Test Results